Subject: Re: [PATCH] mt76: mt7615: do not advertise 5 GHz on first phy of MT7615D (DBDC)

From: Kalle Valo <[email-masked]>
Date: Sat, 22 Jul 2023 09:23:03 +0300

Jakub Kicinski <[email-masked]> writes:

> On Fri, 21 Jul 2023 10:03:49 +0200 Felix Fietkau wrote:
>> On 05.06.23 09:34, Paul Fertser wrote:
>> > On DBDC devices the first (internal) phy is only capable of using
>> > 2.4 GHz band, and the 5 GHz band is exposed via a separate phy object,
>> > so avoid the false advertising.
>> > 
>> > Reported-by: Rani Hod <[email-masked]>
>> > Closes: https://github.com/openwrt/openwrt/pull/12361
>> > Fixes: 7660a1bd0c22 ("mt76: mt7615: register ext_phy if DBDC is detected")
>> > Cc: [email-masked]
>> > Signed-off-by: Paul Fertser <[email-masked]>  
>> Acked-by: Felix Fietkau <[email-masked]>
>> 
>> Jakub, could you please pick this one up for 6.5?
>
> Kalle reported that he's back to wireless duties a few hours after you
> posted so just to avoid any confusion - I'll leave this one to Kalle
> unless told otherwise.

Yup, I'm back. I assigned this to me on patchwork and planning to queue
for v6.5.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches